diff --git a/src/backend/access/transam/xlog.c b/src/backend/access/transam/xlog.c
index 07a7679..e98c89f 100644
--- a/src/backend/access/transam/xlog.c
+++ b/src/backend/access/transam/xlog.c
@@ -4675,7 +4675,7 @@ XLOGShmemInit(void)
 		(WALInsertLockPadded *) allocptr;
 	allocptr += sizeof(WALInsertLockPadded) * NUM_XLOGINSERT_LOCKS;
 
-	XLogCtl->Insert.WALInsertLockTranche.name = "WALInsertLocks";
+	XLogCtl->Insert.WALInsertLockTranche.name = "wal_insert";
 	XLogCtl->Insert.WALInsertLockTranche.array_base = WALInsertLocks;
 	XLogCtl->Insert.WALInsertLockTranche.array_stride = sizeof(WALInsertLockPadded);
 
diff --git a/src/backend/replication/logical/origin.c b/src/backend/replication/logical/origin.c
index 5af47ec..0caf7a3 100644
--- a/src/backend/replication/logical/origin.c
+++ b/src/backend/replication/logical/origin.c
@@ -474,7 +474,7 @@ ReplicationOriginShmemInit(void)
 		int			i;
 
 		replication_states_ctl->tranche_id = LWTRANCHE_REPLICATION_ORIGIN;
-		replication_states_ctl->tranche.name = "ReplicationOrigins";
+		replication_states_ctl->tranche.name = "replication_origin";
 		replication_states_ctl->tranche.array_base =
 			&replication_states[0].lock;
 		replication_states_ctl->tranche.array_stride =
diff --git a/src/backend/replication/slot.c b/src/backend/replication/slot.c
index 11b44a4..a2c6524 100644
--- a/src/backend/replication/slot.c
+++ b/src/backend/replication/slot.c
@@ -138,7 +138,7 @@ ReplicationSlotsShmemInit(void)
 		ShmemInitStruct("ReplicationSlot Ctl", ReplicationSlotsShmemSize(),
 						&found);
 
-	ReplSlotIOLWLockTranche.name = "Replication Slot IO Locks";
+	ReplSlotIOLWLockTranche.name = "replication_slot_io";
 	ReplSlotIOLWLockTranche.array_base =
 		((char *) ReplicationSlotCtl) + offsetof(ReplicationSlotCtlData, replication_slots) +offsetof(ReplicationSlot, io_in_progress_lock);
 	ReplSlotIOLWLockTranche.array_stride = sizeof(ReplicationSlot);
diff --git a/src/backend/storage/buffer/buf_init.c b/src/backend/storage/buffer/buf_init.c
index b423aa7..f013a4d 100644
--- a/src/backend/storage/buffer/buf_init.c
+++ b/src/backend/storage/buffer/buf_init.c
@@ -90,13 +90,13 @@ InitBufferPool(void)
 									   + PG_CACHE_LINE_SIZE,
 									   &foundIOLocks));
 
-	BufferIOLWLockTranche.name = "Buffer IO Locks";
+	BufferIOLWLockTranche.name = "buffer_io";
 	BufferIOLWLockTranche.array_base = BufferIOLWLockArray;
 	BufferIOLWLockTranche.array_stride = sizeof(LWLockMinimallyPadded);
 	LWLockRegisterTranche(LWTRANCHE_BUFFER_IO_IN_PROGRESS,
 						  &BufferIOLWLockTranche);
 
-	BufferContentLWLockTranche.name = "Buffer Content Locks";
+	BufferContentLWLockTranche.name = "buffer_content";
 	BufferContentLWLockTranche.array_base =
 		((char *) BufferDescriptors) + offsetof(BufferDesc, content_lock);
 	BufferContentLWLockTranche.array_stride = sizeof(BufferDescPadded);
